

 DEFINE_BYTECODE_OPERATOR(IP_RETURN,         0, "RETURN"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_ARGS,      1, "PUSH_ARGS"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_SELF,      0, "PUSH_SELF"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_ARG,       1, "PUSH_ARG"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_CONST,     1, "PUSH_CONST"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_CONST_LONG,2, "PUSH_CONST_LONG"),
 DEFINE_BYTECODE_OPERATOR(IP_POP_N,          1, "POP_N"),
 DEFINE_BYTECODE_OPERATOR(IP_GOTO_N,         1, "GOTO_N"),
 DEFINE_BYTECODE_OPERATOR(IP_GOTO_LONG_N,    2, "GOTO_LONG_N"),
 DEFINE_BYTECODE_OPERATOR(IP_GOTOREL_LONG_N, 2, "GOTOREL_LONG_N"),
 DEFINE_BYTECODE_OPERATOR(IP_IF,             2, "IF_NOT_GOTO"),
 DEFINE_BYTECODE_OPERATOR(IP_CALL,         -20, "CALL"),
 DEFINE_BYTECODE_OPERATOR(IP_CALL_SUPER,    -2, "CALL_SUPER"),
 DEFINE_BYTECODE_OPERATOR(IP_CALL_PRIM,    -11, "CALL_PRIM"),
 DEFINE_BYTECODE_OPERATOR(IP_CALL_PRIM_LONG, 2, "CALL_PRIM_LONG"),
 DEFINE_BYTECODE_OPERATOR(IP_POP,            0, "POP"),
 DEFINE_BYTECODE_OPERATOR(IP_SET_ARG,        1, "SET"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_SLOT,      1, "PUSH_SLOT"),
 DEFINE_BYTECODE_OPERATOR(IP_SET_SLOT,       1, "SET_SLOT"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_GLOBAL,    1, "PUSH_GLOBAL"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_SLOT_0,    0, "PUSH_SLOT_0"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_SLOT_1,    0, "PUSH_SLOT_1"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_SLOT_2,    0, "PUSH_SLOT_2"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_SLOT_3,    0, "PUSH_SLOT_3"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_SLOT_4,    0, "PUSH_SLOT_4"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_SLOT_5,    0, "PUSH_SLOT_5"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_SLOT_6,    0, "PUSH_SLOT_6"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_TMP_1,     0, "PUSH_TMP_1"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_TMP_2,     0, "PUSH_TMP_2"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_TMP_3,     0, "PUSH_TMP_3"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_TMP_4,     0, "PUSH_TMP_4"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_ARG_0,     0, "PUSH_ARG_-0"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_ARG_1,     0, "PUSH_ARG_-1"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_ARG_2,     0, "PUSH_ARG_-2"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_ARG_3,     0, "PUSH_ARG_-3"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_ARG_4,     0, "PUSH_ARG_-4"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_CONST_0,   0, "PUSH_CONST_0"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_CONST_1,   0, "PUSH_CONST_1"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_CONST_2,   0, "PUSH_CONST_2"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_CONST_3,   0, "PUSH_CONST_3"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_CONST_4,   0, "PUSH_CONST_4"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_CONST_3,   0, "PUSH_CONST_5"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_CONST_3,   0, "PUSH_CONST_6"),
 DEFINE_BYTECODE_OPERATOR(IP_PUSH_CONST_3,   0, "PUSH_CONST_7"),
 DEFINE_BYTECODE_OPERATOR(IP_CALL_WITH_ZERO,-10,"CALL_0_ARGS")




/* eof */
